<template>
  <Row v-if="displayContent">
    <Row class="index">
      <Row class="full-page">
        <div class="web-name" :style="webNameStyle">Stock Blog</div>
        <div class="web-short-description" :style="webShortDescriptionStyle">
          <h2>A better way to review the stock market</h2>
          <p>
            Support candlestick, volume, MACD, etc, several charts,
            also integrate the blog features and news, make investor
            review the stock market more easily.
          </p>
        </div>
        <div class="web-button-blog" :style="webBottonBlockStyle">
          <div class="literal-div-btn register-btn" @click="$redirectTo('register')">Register</div>
          <div class="literal-div-btn login-btn" @click="$redirectTo('login')">Login</div>
        </div>
      </Row>
    </Row>
  </Row>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  name: 'index',
  data() {
    return {
      displayContent: false,
      webNameStyle: {
        top: '10%',
        opacity: '0',
      },
      webShortDescriptionStyle: {
        opacity: '0',
      },
      webBottonBlockStyle: {
        opacity: '0',
      },
    };
  },
  computed: {
    ...mapGetters('user', [ 'isManager', 'isUser' ]),
  },
  mounted() {
    this.$displayBodyBlock(false);

    if (this.isManager) {
      this.$redirectTo('manager');
    } else if (this.isUser) {
      this.$redirectTo('investor');
    } else {
      this.displayContent = true;
      setTimeout(() => {
        this.webNameStyle = {
          top: '15%',
          opacity: '1',
        };
        this.webShortDescriptionStyle = {
          opacity: '1',
        };
        this.webBottonBlockStyle = {
          opacity: '1',
        };
      }, 100);
    }
  }
}
</script>

<style lang="scss" scoped>
  @import "../assets/css/mixin";

  .index {
    height: 100vh;
    background-image: url("/images/landing-page-background.jpg");
    background-size: cover;
    overflow: hidden;
    &::before {
      position: absolute;
      top: 0;
      left: 0;
      content: "";
      width: 100vw;
      height: 100vh;
    }
    .full-page {
      left: 100px;
      font-weight: bolder;
      .web-name {
        position: relative;
        top: 10%;
        font-size: 1000%;
        opacity: 0;
        transition: 0.5s linear;
      }
      .web-short-description {
        position: relative;
        top: calc(15% + 20px);
        width: 600px;
        height: 150px;
        padding: 0 20px;
        font-size: 18px;
        opacity: 0;
        transition: 0.7s linear;
      }
      .web-button-blog {
        position: relative;
        top: 150px;
        padding: 10px 0;
        opacity: 0;
        transition: 0.7s linear;
      }
    }
  }
</style>
